#!/home/john/local/bin/julia

"""

  GTK interface to ASI-ZWO camera control
  
"""  

using Gtk4, Gtk4.GLib

camera_id = "ZWO ASI 6200"
image_size = (9600,4800,16)
temperature_now = 0.0
temperature_set = -10.0
cool_flag = false
filter_name = "rp"
exposure = 60.0
count = 1
count_max = 500
file_base = "image_"
file_folder = "./"
file_name = file_base * string(count)



#
# These dependencies are fulfilled by the camera module
#

# Camera selection

# Full image size

# Selected centered subframe size 

# Subframe on/off

# Temperature setpoint

# Cooler on/off

# Sensor temperature

# Expose on/off

# Exposure duration 

# Full path to FITS file storage 

# FITS file name for next image

# FITS header FIELD entry text


#
# These dependencies are satisfied within the camera interface module
#

# Set the base folder

# Set the base FITS name

# Set subframe size

# Toggle subframe on/off

# Set the image count for next image

# Set the image count maximum 

# Start a single exposure

# Start multi-frame exposures

# Stop exposure

# Set the controlled temperature

# Toggle temperature control on/off

# Input the FITS header FILTER entry

# Input the FITS header TARGET entry

# Toggle a preview display

# Exit the program


#
# User interface to the camera
#

# Set up the window

win = GtkWindow("ZWO Camera Control", 600, 200)
vbox = GtkBox(:v)
win[] = vbox
